# Bayesian Monte Carlo Markov Chain Regression

[![Tests](https://github.com/AndreaBlengino/baypy/actions/workflows/tests.yml/badge.svg?branch=master)](https://github.com/AndreaBlengino/baypy/actions/workflows/tests.yml)
[![codecov](https://codecov.io/gh/AndreaBlengino/baypy/graph/badge.svg?token=T7FMO9ACJW)](https://codecov.io/gh/AndreaBlengino/baypy)
[![License: GPL v3](https://img.shields.io/badge/License-GPLv3-blue.svg)](https://github.com/AndreaBlengino/baypy/blob/master/LICENSE)


**baypy** is a python package for solving bayesian regression models 
through a Monte Carlo Markov chain sampling.

## Usage Examples

See [usage examples](https://github.com/AndreaBlengino/baypy/tree/master/examples).

## Dependencies

- [matplotlib](https://matplotlib.org) >= 3.7.2  
  Creates static, animated, and interactive visualizations in Python.
- [numpy](https://numpy.org) >= 1.25.2  
  Adds support for large, multi-dimensional arrays, matrices and 
  high-level mathematical functions to operate on these arrays.
- [pandas](https://pandas.pydata.org) >= 2.0.3  
  Provides fast, flexible, and expressive data structures designed to 
  make working with "relational" or "labeled" data both easy and 
  intuitive. 
- [scipy](https://scipy.org) >= 1.11.1  
  Includes modules for statistics, optimization, integration, linear 
  algebra, Fourier transforms, signal and image processing, ODE solvers, 
  and more.

## Python versions

baypy runs for python version 3.9+.

## Contributing

All contributions, bug reports, bug fixes, documentation improvements, 
enhancements and ideas are welcome.

## License

[GNU General Public License v3.0](https://github.com/AndreaBlengino/baypy/blob/master/LICENSE)
